Subject: Re: install suggestion (Re: groff/man)
From: [email-masked] (Earnie Boyd)

18 Nov 1997 05:35:53 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Tue, 18 Nov 1997 18:35:51 +1100
>From: [email-masked] (raf)
>To: [email-masked]
>Subject: install suggestion (Re: groff/man)
>
>>I did compile man / groff from Linux sources without problems.
>
>>I just edited the MakeFiles a bit ( mostly to change the /usr/bin and 
>>other 'standard unix directories' ) to fit my cygnus configuration.
>
>>I also changed the name of the executables adding a ".EXE" so that 
>>"make install" could work.
>
>which reminds me - why doesn't install cope with arguments without 
..exe?
>are there any reasons why it shouldn't be masde to do so?
>
>changing install commands in makefiles would surely be a good thing to 
avoid.

The newer versions of configure add a --program-suffix= switch that you 
may specify.  The problem currently is that the Makefile.in file doesn't 
handle them yet.  What I have been doing for install is using the script 
I've included below.

#!/bin/sh
# file: install
# author: earnie        email: [email-masked]
# Install Preprocessor for the gnu-win32 "make install" command.
#
# To use:
#   mv /bin/install.exe /bin/ginstall
#   copy this file to /bin/install
#
# Note:
#   No warranty implicit or explicit is given.
#   You may copy, distribute and use as you see fit.
#   USE AT YOU OWN RISK.
#
tstr=""
while test $# -gt 0; \
do \
        if test -e $1.exe; \
        then \
                tstr="$tstr$1.exe $2.exe"; \
                shift; \
        else \
                tstr="$tstr$1 "; \
        fi; \
        shift; \
done
echo "/bin/ginstall $tstr"
eval "/bin/ginstall $tstr"; \
exit
#end of script.

This has sufficed for many installs.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".